apiVersion: cluster.redpanda.com/v1alpha2
kind: Redpanda
metadata:
  name: juwan-kafka
  namespace: redpanda
spec:
  chartRef:
    chartName: redpanda
    chartVersion: 26.1.3
    helmRepositoryName: redpanda
  clusterSpec:
    image:
      tag: v26.1.6
    fullnameOverride: juwan-kafka
    console:
      enabled: false
    external:
      enabled: false
      service:
        enabled: false
    auth:
      sasl:
        enabled: false
    tls:
      enabled: false
    listeners:
      kafka:
        port: 9092
        authenticationMethod: null
        tls:
          enabled: false
      admin:
        tls:
          enabled: false
      rpc:
        tls:
          enabled: false
      http:
        enabled: false
      schemaRegistry:
        enabled: false
    storage:
      persistentVolume:
        enabled: true
        size: 5Gi
        storageClass: local-path
    resources:
      requests:
        cpu: 50m
        memory: 200Mi
      limits:
        cpu: 500m
        memory: 500Mi
    statefulset:
      replicas: 1
      additionalRedpandaCmdFlags:
        - --overprovisioned
        - --smp=1
        - --memory=350M
        - --reserve-memory=0M
      podTemplate:
        spec:
          affinity:
            podAntiAffinity: null
    tuning:
      tune_aio_events: false
    logging:
      logLevel: info
      usageStats:
        enabled: false

---
apiVersion: cluster.redpanda.com/v1alpha2
kind: Topic
metadata:
  name: email-task
  namespace: redpanda
spec:
  partitions: 1
  replicationFactor: 1
  cluster:
    clusterRef:
      name: juwan-kafka
